Skip to main content
cURL
curl --request GET \
  --url https://test.deribit.com/api/v2/private/cancel \
  --header 'Content-Type: application/json' \
  --data '
{
  "jsonrpc": "2.0",
  "id": 4214,
  "method": "private/cancel",
  "params": {
    "order_id": "ETH-SLIS-12"
  }
}
'
import requests

url = "https://test.deribit.com/api/v2/private/cancel"

payload = {
"jsonrpc": "2.0",
"id": 4214,
"method": "private/cancel",
"params": { "order_id": "ETH-SLIS-12" }
}
headers = {"Content-Type": "application/json"}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 4214,
method: 'private/cancel',
params: {order_id: 'ETH-SLIS-12'}
})
};

fetch('https://test.deribit.com/api/v2/private/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "jsonrpc": "2.0",
  "id": 4214,
  "result": {
    "triggered": false,
    "trigger": "index_price",
    "time_in_force": "good_til_cancelled",
    "trigger_price": 144.73,
    "reduce_only": false,
    "price": "market_price",
    "post_only": false,
    "order_type": "stop_market",
    "order_state": "untriggered",
    "order_id": "ETH-SLIS-12",
    "max_show": 5,
    "last_update_timestamp": 1550575961291,
    "label": "",
    "is_rebalance": false,
    "is_liquidation": false,
    "instrument_name": "ETH-PERPETUAL",
    "direction": "sell",
    "creation_timestamp": 1550575961291,
    "api": false,
    "amount": 5
  }
}

Query Parameters

order_id
string
required

The order id Unique order identifier

Example:

"ETH-100234"

Response

200 - application/json

Success response

jsonrpc
enum<string>
required

The JSON-RPC version (2.0)

Available options:
2.0
result
object
required
id
integer

The id that was sent in the request